<?php 
$pageTitle="Could not log you in to IceBear";
include realpath(__DIR__).'/../_common/header.php'; 

$icebearCodeVersion="1.0"; //default
$codeVersionFile=trim(@file_get_contents(config::getWwwRoot().'/conf/codeversion'));
if(!empty($codeVersionFile)){
    $icebearCodeVersion=($codeVersionFile);
}
?>
<script type="text/javascript">
let requestedUri='<?php echo $uri ?? ''; ?>';
let icebearDbVersion='<?php echo config::get('core_icebearversion'); ?>';
if(!icebearDbVersion){ icebearDbVersion='unknown'; }
let icebearCodeVersion='<?php echo $icebearCodeVersion; ?>';
if(!icebearCodeVersion){ icebearCodeVersion='unknown'; }
let codeAndDbMatch=(icebearCodeVersion===icebearDbVersion);

let grid=ui.grid();

let box=grid.box({
    "id":"samlError",
    "title":"Could not log you in",
    "classes":"r1 c1 h2 w3"
});
ui.warningMessageBar("Authentication succeeded, but could not link to an IceBear account",box);
box.innerHTML+='<p>You authenticated successfully. However, IceBear could not link you to an existing account. Either:</p>'+
    '<ul><li>IceBear found matches for both your email address and your personal identifier (eduPersonPrincipalName), but '+
    "these were on different accounts. IceBear couldn't determine which is correct, and your administrator will need to fix this; or</li>"+
    '<li>IceBear found an account with an email that matches the authenticated user, but it has a personal identifier '+
    '(eduPersonPrincipalName) that does not match the authenticated user. If you previously authenticated with a different ' +
    'identity provider, please try authenticating with that provider instead; otherwise, see your IceBear administrator.</li></ul>';

if(!codeAndDbMatch){
    grid.box({
        'id':'message',
        'title':'Database version mismatch',
        'classes':'r3 c2 h1 w1',
        'content':'<span style="color:red">IceBear can\'t be used at the moment because its database and code don\'t match.<br/><br/>The database version ('+icebearDbVersion+') does not match the code version ('+icebearCodeVersion+'). An administrator needs to fix this</span>.'
    });
}

</script>
<?php include realpath(__DIR__).'/../_common/footer.php';