<?php 
$pageTitle="IceBear account created";
include realpath(__DIR__).'/../_common/header.php'; 

$icebearCodeVersion="1.0"; //default
$codeVersionFile=trim(@file_get_contents(config::getWwwRoot().'/conf/codeversion'));
if(!empty($codeVersionFile)){
    $icebearCodeVersion=($codeVersionFile);
}
?>
<script type="text/javascript">
let requestedUri='<?php echo $uri ?? ''; ?>';
let icebearDbVersion='<?php echo config::get('core_icebearversion'); ?>';
if(!icebearDbVersion){ icebearDbVersion='unknown'; }
let icebearCodeVersion='<?php echo $icebearCodeVersion; ?>';
if(!icebearCodeVersion){ icebearCodeVersion='unknown'; }
let codeAndDbMatch=(icebearCodeVersion===icebearDbVersion);

let grid=ui.grid();

let box=grid.box({
    "id":"samlCreated",
    "title":"Created your IceBear account",
    "classes":"r1 c1 h2 w3"
});
ui.successMessageBar("IceBear account created",box);
box.innerHTML+='<p>Your IceBear account has been created. Please read this carefully:</p>'+
    '<p>Ask your supervisor, collaborator, or IceBear administrator to grant you '+
    'access to the relevant projects. Until this has been done, you won\'t be able to see or work on these '+'' +
    'projects in IceBear.</p>'+
    '<p>If you have plates in an imager, you may be able to see them in IceBear.  These will be in a default project, '+
    'where only you can see them. When you have  been given access to the correct project, set the plate\'s protein '+
    'and construct  to move it into that project.</p>'+
    '<p>You will also be able to see some common items like imagers, standard screens, and containers.</p>';
if(codeAndDbMatch) {
    box.innerHTML+='<p><a href="/">Go to the IceBear homepage</a></p>';
} else {
    box.innerHTML+='<p>However, <span style="color:red">IceBear can\'t be used at the moment because its database and code don\'t match.</p>';
    grid.box({
        'id':'message',
        'title':'Database version mismatch',
        'classes':'r3 c2 h1 w1',
        'content':'<span style="color:red">IceBear can\'t be used at the moment because its database and code don\'t match.<br/><br/>The database version ('+icebearDbVersion+') does not match the code version ('+icebearCodeVersion+'). An administrator needs to fix this</span>.'
    });
}

</script>
<?php include realpath(__DIR__).'/../_common/footer.php';