<?php 
$pageTitle="IceBear account found";
include realpath(__DIR__).'/../_common/header.php'; 

$icebearCodeVersion="1.0"; //default
$codeVersionFile=trim(@file_get_contents(config::getWwwRoot().'/conf/codeversion'));
if(!empty($codeVersionFile)){
    $icebearCodeVersion=($codeVersionFile);
}
?>
<script type="text/javascript">
let requestedUri='<?php echo $uri ?? ''; ?>';
let icebearDbVersion='<?php echo config::get('core_icebearversion'); ?>';
if(!icebearDbVersion){ icebearDbVersion='unknown'; }
let icebearCodeVersion='<?php echo $icebearCodeVersion; ?>';
if(!icebearCodeVersion){ icebearCodeVersion='unknown'; }
let codeAndDbMatch=(icebearCodeVersion===icebearDbVersion);

let grid=ui.grid();

let box=grid.box({
    "id":"samlLinked",
    "title":"Found your IceBear account",
    "classes":"r1 c1 h1 w3"
});
ui.successMessageBar("Found your existing IceBear account",box);
box.innerHTML+='<p>You already have an IceBear account, and it has been linked to this login.</p>';
if(codeAndDbMatch) {
    box.innerHTML+='<p><a href="' + requestedUri + '">Continue to IceBear</a></p>'
} else {
    box.innerHTML+='<p>However, <span style="color:red">IceBear can\'t be used at the moment because its database and code don\'t match.</p>';
    grid.box({
        'id':'message',
        'title':'Database version mismatch',
        'classes':'r3 c2 h1 w1',
        'content':'<span style="color:red">IceBear can\'t be used at the moment because its database and code don\'t match.<br/><br/>The database version ('+icebearDbVersion+') does not match the code version ('+icebearCodeVersion+'). An administrator needs to fix this</span>.'
    });
}

</script>
<?php include realpath(__DIR__).'/../_common/footer.php';