<?php /** @noinspection PhpUnhandledExceptionInspection */
/**
 * Upgrades the database from version 1.9.4 to version NEXT
 * DO NOT call this directly, it will fail.
 * To be included from classes/core/updater.class.php.
 * Assumes that logging has already been init()ed. Log class will throw ServerException if not.
 */
Log::write(Log::LOGLEVEL_INFO, "In updater, from 1.9.4 to NEXT...");

Log::write(Log::LOGLEVEL_INFO, "Adding edupersonprincipalname column to user table...");
database::addOrAlterColumn('user', 'edupersonprincipalname','VARCHAR(100) NULL DEFAULT NULL');
Log::write(Log::LOGLEVEL_INFO, "...done");


Log::write(Log::LOGLEVEL_INFO, "Adding lastlogin column to user table...");
database::addOrAlterColumn('user','lastlogin','DATETIME NULL DEFAULT NULL');
Log::write(Log::LOGLEVEL_INFO, "...done");

Log::write(Log::LOGLEVEL_INFO, "...update done");

